Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.request
Class Phase.Resource.Dispatch

    java.lang.Object
      juzu.request.Phase.Resource.Dispatch

All Implemented Interfaces:
  Dispatch

Enclosing class:
  Phase.Resource

    public static class Phase.Resource.Dispatch

extends Object
implements Dispatch

Constructor Summary
`Phase.Resource.Dispatch(juzu.impl.bridge.spi.DispatchSPI delegate)`

Method Summary
`Dispatch` | `escapeXML(Boolean escapeXML)`
`
`<T> Dispatch`
` | `setProperty(PropertyType<T> propertyType, T propertyValue)` Set or clear a property of the URL.
`String` | `toString()`
`Dispatch` | `with(juzu.impl.common.MimeType mimeType)`
`Dispatch` | `with(PropertyMap properties)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Phase.Resource.Dispatch

    public Phase.Resource.Dispatch(juzu.impl.bridge.spi.DispatchSPI delegate)

Method Detail

### with

    public Dispatch with(juzu.impl.common.MimeType mimeType)

  Specified by:
    `with` in interface `Dispatch`

### with

    public Dispatch with(PropertyMap properties)

  Specified by:
    `with` in interface `Dispatch`

### escapeXML

    public Dispatch escapeXML(Boolean escapeXML)

  Specified by:
    `escapeXML` in interface `Dispatch`

### setProperty

    public <T> Dispatch setProperty(PropertyType<T> propertyType,
                                    T propertyValue)
                         throws IllegalArgumentException

  Description copied from interface: `Dispatch`
  Set or clear a property of the URL.

  Specified by:
    `setProperty` in interface `Dispatch`
  Type Parameters:
    `T` - the property generic type
  Parameters:
    `propertyType` - the property type
    `propertyValue` - the property value
  Returns:
    this URL builder
  Throws:
    `IllegalArgumentException` - if the property is not valid

### toString

    public String toString()

  Specified by:
    `toString` in interface `Dispatch`
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 eXo Platform SAS. All Rights Reserved.